# Method: projects.deployments.update

- [HTTP request](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/update#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/update#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/update#body.request_body)
  - [JSON representation](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/update#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/update#body.response_body)
- [Authorization Scopes](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/update#body.aspect)
- [Try it!](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/update#try-it)

Updates a deployment of an Apps Script project.

### HTTP request

`PUT https://script.googleapis.com/v1/projects/{deploymentConfig.scriptId}/deployments/{deploymentId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `deploymentConfig.scriptId` | `string` The script project's Drive ID. |
| `deploymentId` | `string` The deployment ID for this deployment. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "deploymentConfig": { "scriptId": string, "versionNumber": integer, "manifestFileName": string, "description": string } } ``` |

| Fields ||
|---|---|
| `deploymentConfig.versionNumber` | `integer` The version number on which this deployment is based. |
| `deploymentConfig.manifestFileName` | `string` The manifest file name for this deployment. |
| `deploymentConfig.description` | `string` The description for this deployment. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments#Deployment`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/script.deployments`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).